#
# Conditional build:
%bcond_without	geoip		# GeoIP support
%bcond_with	ip2location	# IP2Location support
#
Summary:	IPv6 address format change and calculation utility
Summary(pl.UTF-8):	Narzędzie do zmiany formatu i przeliczania adresów IPv6
Name:		ipv6calc
Version:	4.1.0
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://ftp.bieringer.de/pub/linux/IPv6/ipv6calc/%{name}-%{version}.tar.gz
# Source0-md5:	4891e8f53606c78c77a8185fe1b02fde
URL:		http://www.deepspace6.net/projects/ipv6calc.html
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-Digest-SHA1
%{?with_geoip:BuildRequires:	GeoIP-devel >= 1.4.1}
%{?with_ip2location:BuildRequires:	ip2location-c-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ipv6calc is a small utility which formats and calculates IPv6
addresses in different ways.

Install this package, if you want to extend the existing address
detection on IPv6 initscript setup or make life easier in adding
reverse IPv6 zones to DNS or using in DNS queries like nslookup -q=ANY
`ipv6calc -r 3ffe:400:100:f101::1/48` See also here for more details:
<http://www.bieringer.de/linux/IPv6/ipv6calc/>.

%description -l pl.UTF-8
ipv6calc to niewielkie narzędzie formatujące i przeliczające adresy
IPv6 na różne sposoby. Ułatwia życie przy dodawaniu stref odwrotnych
IPv6 do DNS lub odpytywaniu w rodzaju nslookup -q=ANY `ipv6calc -r
3ffe:400:100:f101::1/48`. Więcej szczegółów pod adresem
<http://www.bieringer.de/linux/IPv6/ipv6calc/>.

%prep
%setup -q

%build
%configure \
	%{!?with_geoip:--disable-geoip2} \
	%{?with_ip2location:--enable-ip2location --with-ip2location-dyn-lib=libIP2Location.so.1} 

# makefiles don't propagate configure CFLAGS nor CFLAGS from initial make environment
export CFLAGS="%{rpmcflags} %{rpmcppflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog CHANGES CREDITS examples/ INSTALLING README* TODO USAGE doc/ipv6calc.html ipv6calcweb/ipv6calcweb.cgi
%attr(755,root,root) %{_bindir}/ipv6calc
%attr(755,root,root) %{_bindir}/ipv6loganon
%attr(755,root,root) %{_bindir}/ipv6logconv
%attr(755,root,root) %{_bindir}/ipv6logstats
%{_datadir}/%{name}
%{_mandir}/man8/ipv6calc.8*
%{_mandir}/man8/ipv6loganon.8*
%{_mandir}/man8/ipv6logconv.8*
%{_mandir}/man8/ipv6logstats.8*
%changelog
* Tue Jul 04 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ipv6calc.git;a=log;h=master

* Mon Jul 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 47303e4
- up to 4.1.0

* Sun Dec 04 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bac42bc
- up to 4.0.2

* Fri Jan 28 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9f6a1c5
- up to 4.0.1

* Thu Oct 21 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 99f547f
- rel 1

* Wed Oct 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 787fe22
- pass CFLAGS to fix debuginfo extraction (debugedit can't handle DWARD version 5)

* Wed Oct 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1113ce2
- up to 4.0.0

* Wed Oct 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a75ad91
- removing unused patch

* Wed Oct 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1aa12ce
- up to 3.2.0

* Sun Oct 14 2018 Adam Gołębiowski <adamg@pld-linux.org> 2fc3a61
- updated to 1.1.0

* Sat Sep 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 89aa954
- up to 1.0.0; patch from fc

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dd97b0
- release 2 (by relup.sh)

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 8ae1c25
- updated to 0.97.3, ip2location support on bcond

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 4e16979
- updated to 0.97.2

* Sun Apr 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> 6b8805e
- updated to 0.94.0

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> c0a0083
- updated to 0.93.1

* Tue Dec 06 2011 Łukasz Kieś <kiesiu@pld-linux.org> 011e5ff
- updated to 0.92.0
- enabled GeoIP support
- added man pages and unpackaged bin files
- revised BRs

* Fri May 06 2011 marti <marti@pld-linux.org> a0217c0
- up to 0.82.1

* Tue Apr 12 2011 marti <marti@pld-linux.org> 87d313c
- up to: 0.82.0

* Fri Oct 08 2010 psz <psz@pld-linux.org> 7e35e51
- up to 0.80.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 65dad22
- tabs in preamble

